<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_VehicleInfo_On_Date StructType
 * @subpackage Structs
 */
class Get_VehicleInfo_On_Date extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The VehicleOnDateSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\VehicleOnDateSelection
     */
    public $VehicleOnDateSelection;
    /**
     * Constructor method for Get_VehicleInfo_On_Date
     * @uses Get_VehicleInfo_On_Date::setLogin()
     * @uses Get_VehicleInfo_On_Date::setVehicleOnDateSelection()
     * @param \StructType\Login $login
     * @param \StructType\VehicleOnDateSelection $vehicleOnDateSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\VehicleOnDateSelection $vehicleOnDateSelection = null)
    {
        $this
            ->setLogin($login)
            ->setVehicleOnDateSelection($vehicleOnDateSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_VehicleInfo_On_Date
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get VehicleOnDateSelection value
     * @return \StructType\VehicleOnDateSelection|null
     */
    public function getVehicleOnDateSelection()
    {
        return $this->VehicleOnDateSelection;
    }
    /**
     * Set VehicleOnDateSelection value
     * @param \StructType\VehicleOnDateSelection $vehicleOnDateSelection
     * @return \StructType\Get_VehicleInfo_On_Date
     */
    public function setVehicleOnDateSelection(\StructType\VehicleOnDateSelection $vehicleOnDateSelection = null)
    {
        $this->VehicleOnDateSelection = $vehicleOnDateSelection;
        return $this;
    }
}
